## Get Task by ID

### cURL

```
curl --request GET \
  --url https://api.audioshake.ai/tasks/{id} \
  --header 'x-api-key: <api-key>'
```

### Python

```
import requests

url = "https://api.audioshake.ai/tasks/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.audioshake.ai/tasks/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Structure

200

```
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "clientId": "<string>",
  "cost": 123,
  "assetId": "<string>",
  "url": "<string>",
  "writeDestination": "<string>",
  "metadata": "<string>",
  "targets": [
    {
      "id": "<string>",
      "model": "<string>",
      "formats": [
        "<string>"
      ],
      "output": [
        {
          "name": "<string>",
          "format": "<string>",
          "link": "<string>"
        }
      ],
      "cost": 123,
      "error": {
        "code": 123,
        "message": "<string>"
      },
      "duration": 123,
      "residual": true,
      "language": "<string>",
      "transcriptUrl": "<string>",
      "transcriptAssetId": "<string>"
    }
  ]
}
```

### Fetch a single Task by its `id`
Use this to check target status and retrieve output download links.

#### Authorizations

**x-api-key**: string, header, required

#### Path Parameters

**id**: string, required, Unique identifier of the Task

#### Response

200 - application/json

**Default Response**:

- `id`: Unique identifier of the Task
- `createdAt`: Timestamp of when the Task was created
- `completedAt`: Timestamp of when the Task was completed
- `clientId`: Unique identifier of the client
- `cost`: Processing cost in credits
- `assetId`: Asset ID of an input media file. Mutually exclusive with `url`
- `url`: URL of an input media file. Mutually exclusive with `assetId`
- `writeDestination`: S3 URI prefix outputs were written under. Outputs are organized as //targets//output/. Only present when a custom write destination was provided.
- `metadata`: Client-provided metadata. Stored and returned as-is in responses and webhooks.
- `targets`: Processing targets and their current status.
